package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceAccountReportTaskRecord;
import com.alibaba.fastjson.JSONObject;

import java.util.Date;
import java.util.Map;

public interface IReportService {

    void getAdvertiserCampaignReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    Map<String, Object> getAgentReport(JSONObject conditions);

    void getAdvertiserReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    void getAdvertiserPlanReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getAdvertiserPlanRuleData(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    JSONObject readAdConvert(CtopOauthToken token, Long convertId);

    void getAdvertiserCreativeReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getMaterialReportByPage(CtopOauthToken token, String startDate, String endDate, Integer pageNum);

    void loadBytedanceHistoryData(CtopOauthToken token);

    void getAdvertiserReport(BytedanceAccountReportTaskRecord record, String bytedanceReportTypeDaily);
}
